public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-utils/
Date: Wed,  6 Nov 2024 07:11:12 +0000 (UTC)	[thread overview]
Message-ID: <1730876067.6760804e137e80e7cb19c2eccae0783a250c5b76.mgorny@gentoo> (raw)

commit:     6760804e137e80e7cb19c2eccae0783a250c5b76
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  6 06:48:17 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov  6 06:54:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6760804e

dev-python/oslo-utils: Bump to 7.4.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/oslo-utils/Manifest                |  1 +
 dev-python/oslo-utils/oslo-utils-7.4.0.ebuild | 55 +++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index 54efb3df4df9..5f6dd77490e5 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
 DIST oslo.utils-7.3.0.tar.gz 132561 BLAKE2B 98533d7b4e3111a548bfab4cb97854acb4485d84d89eed40fec713fcb14a63deedbf5c019f4ed44d9be535034f3323e96b9b9f5d30467899ea8cd1bdc217200b SHA512 71dcf6fe25cc4c0a2580c32b4a4ceaa22fa1046f84bebc2cbf2c3148379b569638c2e2cce3b7a9bb1bbb87660034baa199bd4a831baa4608ef2f4bbc1d39edb6
+DIST oslo.utils-7.4.0.tar.gz 135993 BLAKE2B 39e23fd850756ff4336d579ca9e3d1ca15de8370298b8bcba6adfc4dc4227c5e8d154347b5f8272ffe7b3f737317fae20f46fc6431cc5d1307b7b2a8d6d51f85 SHA512 b743778529c4da4889737aa249102dd6d7215ce7e794bfb8fb8a48fc448fe34d6a091a8afb551b46b53e2556015bf51ac75d12955a6582972bc7355b68a8799f

diff --git a/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild b/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild
new file mode 100644
index 000000000000..9a8e2700c1e1
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-7.4.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="
+	https://opendev.org/openstack/oslo.utils/
+	https://github.com/openstack/oslo.utils/
+	https://pypi.org/project/oslo.utils/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+	>=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+	>=dev-python/netaddr-0.10.0[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+	>=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+	>=dev-python/psutil-3.2.2[${PYTHON_USEDEP}]
+	>=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+	dev-python/tzdata[${PYTHON_USEDEP}]
+"
+# qemu needed for qemu-img
+BDEPEND="
+	>=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+	test? (
+		app-emulation/qemu
+		>=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+		>=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+		>=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	distutils-r1_src_prepare
+
+	# require eventlet
+	rm oslo_utils/tests/test_eventletutils.py || die
+}


             reply	other threads:[~2024-11-06  7:11 UTC|newest]

Thread overview: 121+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-06  7:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-23  9:52 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-utils/ Sam James
2024-11-02  8:59 Michał Górny
2024-11-02  8:49 Michał Górny
2024-09-07 11:12 Michał Górny
2024-09-07 10:58 Michał Górny
2024-08-24  5:52 Michał Górny
2024-08-23 16:44 Michał Górny
2024-07-20  9:01 Michał Górny
2024-07-20  7:52 Arthur Zamarin
2024-07-04 12:37 Michał Górny
2024-06-11 18:46 Michał Górny
2024-04-20 11:23 Michał Górny
2024-04-20 10:49 Michał Górny
2024-04-03  7:25 Michał Górny
2024-03-09 14:19 Michał Górny
2024-02-23  3:40 Michał Górny
2024-02-16 17:16 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-03 10:18 Arthur Zamarin
2024-01-18  3:43 Michał Górny
2023-11-29 10:19 Michał Górny
2023-11-29 10:17 Michał Górny
2023-11-09 18:40 Arthur Zamarin
2023-10-29  4:46 Michał Górny
2023-10-29  3:53 Sam James
2023-10-03  1:59 Sam James
2023-10-03  1:51 Sam James
2023-08-28 18:15 Michał Górny
2023-08-28 16:53 Michał Górny
2023-07-24  8:54 Jakov Smolić
2023-07-09  3:26 Michał Górny
2023-07-07  3:15 Michał Górny
2023-03-21 20:06 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-17 18:34 Arthur Zamarin
2022-11-17 18:34 Arthur Zamarin
2022-10-21 14:34 Michał Górny
2022-09-26  6:06 Michał Górny
2022-08-24 19:36 Arthur Zamarin
2022-08-05  7:21 Michał Górny
2022-08-05  7:21 Michał Górny
2022-07-24 20:33 Michał Górny
2022-07-24 16:29 Sam James
2022-07-15 12:14 Arthur Zamarin
2022-06-23 19:28 Arthur Zamarin
2022-06-18  6:47 Michał Górny
2022-06-13  8:20 Michał Górny
2022-05-28 16:00 Jakov Smolić
2022-05-11 11:22 Michał Górny
2022-04-28  8:31 Michał Górny
2022-02-27 18:52 Michał Górny
2022-02-27 12:23 Jakov Smolić
2022-02-24 18:08 Michał Górny
2022-02-16 22:34 Michał Górny
2022-01-20 13:16 Arthur Zamarin
2021-12-19 21:15 Michał Górny
2021-12-19 21:05 Arthur Zamarin
2021-11-21 20:11 Michał Górny
2021-11-21 19:28 Jakov Smolić
2021-11-18 22:28 Michał Górny
2021-10-22 10:28 Michał Górny
2021-09-25 22:03 Michał Górny
2021-09-25 19:56 Sam James
2021-08-19 22:13 Michał Górny
2021-08-16  6:13 Michał Górny
2021-07-10  7:34 Michał Górny
2021-06-23  0:16 Sam James
2021-06-22 14:13 Michał Górny
2021-06-22 14:13 Michał Górny
2021-06-22 14:13 Michał Górny
2021-02-22 23:50 Matthew Thode
2020-11-18  9:12 Michał Górny
2020-11-14 21:52 Michał Górny
2020-10-11  1:29 Matthew Thode
2020-07-18 22:30 Matthew Thode
2020-07-18 22:30 Matthew Thode
2020-07-03  0:36 Matthew Thode
2020-07-02 23:54 Matthew Thode
2020-05-30 17:52 Matthew Thode
2020-05-16 21:21 Matthew Thode
2020-04-04 21:05 Matthew Thode
2020-03-04 17:11 Matthew Thode
2020-02-09 18:26 Matthew Thode
2020-02-09 18:26 Matthew Thode
2020-01-09 19:06 Matthew Thode
2019-12-15 17:57 Matthew Thode
2019-11-24 16:15 Aaron Bauman
2019-11-15 16:23 Matthew Thode
2019-11-11  4:19 Matthew Thode
2019-10-10 17:28 Matthew Thode
2019-05-11 18:17 Matthew Thode
2019-03-25  0:07 Matthew Thode
2019-01-28  0:25 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-09-05 21:33 Matt Thode
2018-06-18  1:59 Matt Thode
2018-06-07  5:24 Matt Thode
2018-03-31  0:59 Matt Thode
2018-03-20  1:46 Matt Thode
2018-02-16  6:08 Matt Thode
2018-02-13 15:57 Mart Raudsepp
2018-02-13 14:47 Mart Raudsepp
2018-01-28  4:13 Matt Thode
2017-12-21  7:13 Matt Thode
2017-11-22  2:00 Matt Thode
2017-08-27  4:26 Matt Thode
2017-08-02 23:59 Matt Thode
2017-07-06 16:58 Matt Thode
2017-07-06 16:58 Matt Thode
2017-03-13  1:30 Zac Medico
2017-03-10 21:12 David Seifert
2017-02-27  2:16 Matt Thode
2016-10-04 19:10 Matt Thode
2016-03-29 18:46 Matt Thode
2016-03-25  3:13 Matt Thode
2016-02-28  6:43 Matt Thode
2016-02-09  9:33 Justin Lecher
2015-11-10  8:24 Agostino Sarubbo
2015-11-10  8:19 Agostino Sarubbo
2015-09-01 15:33 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1730876067.6760804e137e80e7cb19c2eccae0783a250c5b76.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox